<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('check_ins', function (Blueprint $table) {
            $table->double('checkin_lat');
            $table->double('checkin_lng');
            $table->double('checkout_lat')->nullable();
            $table->double('checkout_lng')->nullable();
        });
    }

    public function down(): void
    {
        Schema::table('check_ins', function (Blueprint $table) {
            $table->dropColumn(['checkin_lat', 'checkin_lng', 'checkout_lat', 'checkout_lng']);
        });
    }
};
